diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
index 0d5bf9d..09be6f3 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
@@ -442,28 +442,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Rostovskaja oblast'
+    // Orlovskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RostovskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;OrlovskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Rostovskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Rostovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Orlovskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Orlovskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ur">Rostovskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Rostovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Orlovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Orlovskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ROS">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ORL">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Rostovskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-ROS</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ROS</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;RostovskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;RostovskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Orlovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-ORL</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ORL</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;OrlovskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;OrlovskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -473,28 +473,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Saratovskaya oblast'
+    // Pskovskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SaratovskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;PskovskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Saratovskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Saratovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Pskovskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Pskovskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Saratovskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Saratovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ur">Pskovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Pskovskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SAR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-PSK">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Saratovskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-SAR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SAR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SaratovskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SaratovskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Pskovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-PSK</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-PSK</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;PskovskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;PskovskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -504,28 +504,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Severnaya Osetiya, Respublika
+    // Sverdlovskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SevernayaOsetiya">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SverdlovskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Severnaya Osetiya, Respublika</rdfs:label>
-      <skos:definition>The republic of Severnaya Osetiya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Sverdlovskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Sverdlovskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Severnaya Osetiya, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Severnaja Osetija, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sverdlovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sverdlovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SVE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Severnaya Osetiya, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-SE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SevernayaOsetiya"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SevernayaOsetiya"/>
+      <skos:definition>subdivision code for the administrative region of Sverdlovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-SVE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SVE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SverdlovskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SverdlovskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -535,28 +535,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sankt-Peterburg
+    // Tyumenskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Sankt-Peterburg">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TyumenskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sankt-Peterburg</rdfs:label>
-      <skos:definition>The autonomous city of Sankt-Peterburg in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Tyumenskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Tyumenskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sankt-Peterburg</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sankt-Peterburg</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousCity"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tyumenskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tjumenskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SPE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TYU">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the autonomous city of Sankt-Peterburg in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-SPE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SPE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Sankt-Peterburg"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Sankt-Peterburg"/>
+      <skos:definition>subdivision code for the administrative region of Tyumenskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-TYU</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TYU</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TyumenskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TyumenskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -566,28 +566,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Udmurtskaya Respublika
+    // Altajskij kraj
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;UdmurtskayaRespublika">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;AltajskijKraj">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Udmurtskaya Respublika</rdfs:label>
-      <skos:definition>The republic of Udmurtskaya Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Altajskij kraj</rdfs:label>
+      <skos:definition>The administrative territory of Altajskij kraj in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Udmurtskaya Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Udmurtskaja Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Altajskij kraj</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Altayskiy kray</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-UD">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ALT">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Udmurtskaya Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-UD</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-UD</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;UdmurtskayaRespublika"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;UdmurtskayaRespublika"/>
+      <skos:definition>subdivision code for the administrative territory of Altajskij kraj in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-ALT</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ALT</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;AltajskijKraj"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;AltajskijKraj"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -597,28 +597,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Čuvašskaja Respublika
+    // Ivanovskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;CuvasskajaRespublika">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;IvanovskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Čuvašskaja Respublika</rdfs:label>
-      <skos:definition>The republic of Čuvašskaja Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Ivanovskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Ivanovskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Čuvašskaja Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Chuvashskaya Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ivanovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ivanovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-CU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-IVA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Čuvašskaja Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-CU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-CU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;CuvasskajaRespublika"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;CuvasskajaRespublika"/>
+      <skos:definition>subdivision code for the administrative region of Ivanovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-IVA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-IVA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;IvanovskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;IvanovskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -628,28 +628,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Dagestan, Respublika
+    // Krasnodarskiy kray
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Dagestan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KrasnodarskiyKray">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Dagestan, Respublika</rdfs:label>
-      <skos:definition>The republic of Dagestan, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Krasnodarskiy kray</rdfs:label>
+      <skos:definition>The administrative territory of Krasnodarskiy kray in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Dagestan, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Dagestan, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Krasnodarskiy kray</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Krasnodarskij kraj</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-DA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KDA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Dagestan, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-DA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-DA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Dagestan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Dagestan"/>
+      <skos:definition>subdivision code for the administrative territory of Krasnodarskiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KDA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KDA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KrasnodarskiyKray"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KrasnodarskiyKray"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -659,28 +659,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Irkutskaya oblast'
+    // Kemerovskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;IrkutskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KemerovskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Irkutskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Irkutskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kemerovskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Kemerovskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Irkutskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Irkutskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kemerovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kemerovskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-IRK">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KEM">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Irkutskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-IRK</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-IRK</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;IrkutskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;IrkutskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Kemerovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KEM</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KEM</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KemerovskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KemerovskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -690,28 +690,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kamchatskiy kray
+    // Khanty-Mansiyskiy avtonomnyy okrug
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KamchatskiyKray">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Khanty-MansiyskiyAvtonomnyyOkrug">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kamchatskiy kray</rdfs:label>
-      <skos:definition>The administrative territory of Kamchatskiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Khanty-Mansiyskiy avtonomnyy okrug</rdfs:label>
+      <skos:definition>The autonomous district of Khanty-Mansiyskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kamchatskiy kray</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kamčatskij kraj</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Khanty-Mansiyskiy avtonomnyy okrug</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Hanty-Mansijskij avtonomnyj okrug</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousDistrict"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KAM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KHM">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative territory of Kamchatskiy kray in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KAM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KAM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KamchatskiyKray"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KamchatskiyKray"/>
+      <skos:definition>subdivision code for the autonomous district of Khanty-Mansiyskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KHM</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KHM</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Khanty-MansiyskiyAvtonomnyyOkrug"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Khanty-MansiyskiyAvtonomnyyOkrug"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -721,28 +721,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Khabarovskiy kray
+    // Hakasija, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KhabarovskiyKray">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Hakasija">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Khabarovskiy kray</rdfs:label>
-      <skos:definition>The administrative territory of Khabarovskiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Hakasija, Respublika</rdfs:label>
+      <skos:definition>The republic of Hakasija, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Khabarovskiy kray</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Habarovskij kraj</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Hakasija, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Khakasiya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KHA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KK">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative territory of Khabarovskiy kray in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KHA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KHA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KhabarovskiyKray"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KhabarovskiyKray"/>
+      <skos:definition>subdivision code for the republic of Hakasija, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KK</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KK</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Hakasija"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Hakasija"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -752,28 +752,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Magadanskaya oblast'
+    // Lipeckaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;MagadanskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;LipeckajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Magadanskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Magadanskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Lipeckaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Lipeckaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Magadanskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Magadanskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Lipeckaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Lipetskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MAG">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-LIP">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Magadanskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-MAG</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MAG</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;MagadanskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;MagadanskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Lipeckaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-LIP</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-LIP</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;LipeckajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;LipeckajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
